module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 246);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports) {

/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file.
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

module.exports = function normalizeComponent (
  rawScriptExports,
  compiledTemplate,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier /* server only */
) {
  var esModule
  var scriptExports = rawScriptExports = rawScriptExports || {}

  // ES6 modules interop
  var type = typeof rawScriptExports.default
  if (type === 'object' || type === 'function') {
    esModule = rawScriptExports
    scriptExports = rawScriptExports.default
  }

  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (compiledTemplate) {
    options.render = compiledTemplate.render
    options.staticRenderFns = compiledTemplate.staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = injectStyles
  }

  if (hook) {
    var functional = options.functional
    var existing = functional
      ? options.render
      : options.beforeCreate

    if (!functional) {
      // inject component registration as beforeCreate hook
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    } else {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functioal component in vue file
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return existing(h, context)
      }
    }
  }

  return {
    esModule: esModule,
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 112:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//

exports.default = {
    name: "PlAreaPicker",
    props: {
        url: {
            type: String,
            default: '/vcat/vcat-location-center-api/sysAdministrativeDivision/page'
        },
        step: { //传入层级
            type: Number,
            default: 3
        },
        value: {
            type: Object,
            default: function _default() {}
        },
        keys: {
            type: Array,
            default: function _default() {
                return [];
            }
        }
    },
    model: {
        prop: 'value',
        event: 'aaa'
    },
    created: function created() {
        this.getData();
    },
    data: function data() {
        return {
            options: [],
            resData: []
        };
    },

    watch: {
        options: function options(val) {
            this.updateSelect(this.value);
        },

        resData: {
            handler: function handler(val) {
                if (!(val && val.length)) {
                    val = ['', '', ''];
                }
                if (this.keys && this.keys.length) {
                    for (var i = 0; i < this.keys.length; i++) {
                        if (this.keys[i]) {
                            this.value[this.keys[i]] = val[i] ? val[i] : '';
                        }
                    }
                } else {
                    this.value.province = val[0] ? val[0] : '';
                    this.value.city = val[1] ? val[1] : '';
                    this.value.district = val[2] ? val[2] : '';
                }
            },

            deep: true
        },
        value: {
            handler: function handler(val) {
                this.updateSelect(val);
            },

            deep: true
        }
    },
    methods: {
        updateSelect: function updateSelect(val) {
            if (this.keys && this.keys.length) {
                if (this.handleVal()) {
                    return;
                }
                if (this.keys[0] && this.keys[1] && this.keys[2]) {
                    this.resData = [val[this.keys[0]], val[this.keys[1]], val[this.keys[2]]];
                } else if (this.keys[0] && this.keys[1] && !this.keys[2]) {
                    this.resData = [val[this.keys[0]], val[this.keys[1]]];
                } else if (this.keys[0] && !this.keys[1] && !this.keys[2]) {
                    this.resData = [val[this.keys[0]]];
                }
            } else {
                if (this.handleVal()) {
                    return;
                }
                this.resData = [this.value.province, this.value.city, this.value.district];
            }
        },
        handleVal: function handleVal() {
            if (this.keys && this.keys.length) {
                if (this.value[this.keys[0]] === '') {
                    this.value[this.keys[1]] = '';
                    this.value[this.keys[2]] = '';
                    this.resData = [];
                    return true;
                }
            } else {
                if (this.value.province === '') {
                    this.value.city = '';
                    this.value.district = '';
                    this.resData = [];
                    return true;
                }
            }
        },
        getData: function getData() {
            var that = this;
            if (!top.areaPickerData) {
                var data = {};
                data['resCode'] = '';
                data['page.pn'] = 1;
                data['page.size'] = 5000;
                that.$http.get(this.url, {
                    params: data
                }).then(function (res) {
                    if (res && res.flag && res.flag.retCode == '0') {
                        that.options = top.areaPickerData = that.handleData(res.rows, 'level', 'province');
                    }
                });
            } else {
                that.options = top.areaPickerData;
            }
        },
        handleData: function handleData(arrAll, key, value) {
            var _this = this;

            var that = this;
            var provinceFn = function provinceFn(it) {
                return it[key] === value;
            };
            var addProp = function addProp(step) {
                return function (it) {
                    var getChild = function getChild(code) {
                        var fn = function fn(it) {
                            return it.parentAdcode === code;
                        };
                        var arr = arrAll.filter(fn);
                        if (arr && arr.length) {
                            return arr;
                        }
                        return [];
                    };
                    it.value = it.adcode;
                    it.label = it.name;
                    var child = getChild(it.adcode).map(addProp(2));
                    _this.step > step && child && child.length && (it.children = child);
                    return it;
                };
            };
            return arrAll.filter(provinceFn).map(addProp(1));
        }
    }
};

/***/ }),

/***/ 246:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _areaPicker = __webpack_require__(247);

var _areaPicker2 = _interopRequireDefault(_areaPicker);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* istanbul ignore next */
_areaPicker2.default.install = function (Vue) {
  Vue.component(_areaPicker2.default.name, _areaPicker2.default);
};

exports.default = _areaPicker2.default;

/***/ }),

/***/ 247:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_area_picker_vue__ = __webpack_require__(112);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_area_picker_vue___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_area_picker_vue__);
/* harmony namespace reexport (unknown) */ for(var __WEBPACK_IMPORT_KEY__ in __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_area_picker_vue__) if(__WEBPACK_IMPORT_KEY__ !== 'default') (function(key) { __webpack_require__.d(__webpack_exports__, key, function() { return __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_area_picker_vue__[key]; }) }(__WEBPACK_IMPORT_KEY__));
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_05f493e0_hasScoped_false_preserveWhitespace_false_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_area_picker_vue__ = __webpack_require__(248);
var normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = null
/* scopeId */
var __vue_scopeId__ = null
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_area_picker_vue___default.a,
  __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_05f493e0_hasScoped_false_preserveWhitespace_false_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_area_picker_vue__["a" /* default */],
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)

/* harmony default export */ __webpack_exports__["default"] = (Component.exports);


/***/ }),

/***/ 248:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('pl-cascader',_vm._g(_vm._b({attrs:{"options":_vm.options,"size":"mini","filterable":""},model:{value:(_vm.resData),callback:function ($$v) {_vm.resData=$$v},expression:"resData"}},'pl-cascader',_vm.$attrs,false),_vm.$listeners))}
var staticRenderFns = []
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ __webpack_exports__["a"] = (esExports);

/***/ })

/******/ });