module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 329);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports) {

/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file.
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

module.exports = function normalizeComponent (
  rawScriptExports,
  compiledTemplate,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier /* server only */
) {
  var esModule
  var scriptExports = rawScriptExports = rawScriptExports || {}

  // ES6 modules interop
  var type = typeof rawScriptExports.default
  if (type === 'object' || type === 'function') {
    esModule = rawScriptExports
    scriptExports = rawScriptExports.default
  }

  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (compiledTemplate) {
    options.render = compiledTemplate.render
    options.staticRenderFns = compiledTemplate.staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = injectStyles
  }

  if (hook) {
    var functional = options.functional
    var existing = functional
      ? options.render
      : options.beforeCreate

    if (!functional) {
      // inject component registration as beforeCreate hook
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    } else {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functioal component in vue file
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return existing(h, context)
      }
    }
  }

  return {
    esModule: esModule,
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 12:
/***/ (function(module, exports) {

/**
 * Translates the list format produced by css-loader into something
 * easier to manipulate.
 */
module.exports = function listToStyles (parentId, list) {
  var styles = []
  var newStyles = {}
  for (var i = 0; i < list.length; i++) {
    var item = list[i]
    var id = item[0]
    var css = item[1]
    var media = item[2]
    var sourceMap = item[3]
    var part = {
      id: parentId + ':' + i,
      css: css,
      media: media,
      sourceMap: sourceMap
    }
    if (!newStyles[id]) {
      styles.push(newStyles[id] = { id: id, parts: [part] })
    } else {
      newStyles[id].parts.push(part)
    }
  }
  return styles
}


/***/ }),

/***/ 138:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var pageInfo = {
    currentPage: 1,
    pageSizes: [],
    pageSize: 0,
    pageTotal: 0,
    layout: ''
};
exports.default = {
    name: 'PlSimpleTable',
    inheritAttrs: false,
    props: {
        size: {
            type: String,
            default: "mini"
        },
        localData: {},
        formRef: {
            type: String,
            default: ''
        },
        formData: {
            type: Object,
            default: function _default() {}
        },
        ajaxUrl: {
            type: String,
            default: ''
        },
        ajaxType: {
            type: String,
            default: 'get'
        },
        ajaxFn: {
            type: Function
        },
        loadFn: {
            type: Function
        },
        isShowSelect: {
            type: Boolean,
            default: true
        },
        isAutoLoad: {
            type: Boolean,
            default: false
        },
        callback: {
            type: Function
        },
        autoHeight: {
            type: Boolean,
            default: false
        },
        height: {
            type: Number
        },
        sumProperties: {
            type: String
        },
        // 是否使用原始表格
        isOriginalTable: {
            type: Boolean,
            default: false
        },
        selectionWidth: {
            type: String,
            default: '45'
        },
        pageInfo: {
            type: Object,
            default: function _default() {
                return pageInfo;
            }
        },
        noSelection: {
            type: Boolean,
            default: false
        }
    },
    data: function data() {
        return {
            summaryData: [],
            tableData: [],
            _formData: {},
            loading: false,
            myHeight: 300
        };
    },
    created: function created() {
        this.initPage();
        this.initForm();
        this.initData();
    },
    mounted: function mounted() {
        this.initHeight();
    },

    watch: {
        height: function height(val) {
            this.myHeight = val;
        },
        localData: function localData(val) {
            if (val) {
                this.tableData = val;
            }
        }
    },
    computed: {
        req: function req() {
            var that = this;
            var obj = JSON.stringify(that.formData) !== '{}' ? that.formData : that._formData ? that._formData : {};
            if (obj) {
                that.$set(obj, 'page.pn', that.pageInfo.currentPage);
                that.$set(obj, 'page.size', that.pageInfo.pageSize);
                return obj;
            }
        }
    },
    methods: {
        toggleRowSelection: function toggleRowSelection() {
            return this.$refs.table1.toggleRowSelection;
        },
        clearSelection: function clearSelection() {
            return this.$refs.table1.clearSelection;
        },
        initData: function initData() {
            // 用本地数据已本地数据为主
            if (this.localData) {
                if (this.localData.flag && this.localData.flag.retCode == '0') {
                    this.tableData = this.localData.rows;
                    this.pageInfo.pageTotal = this.localData.total;
                }
            } else {
                if (this.isAutoLoad) {
                    this.getData();
                }
            }
        },
        initHeight: function initHeight() {
            var _this = this;

            var that = this;
            that.myHeight = that.height;
            $(window).resize(function () {
                that.getTableHeight();
            });
            setTimeout(function () {
                _this.getTableHeight();
            }, 0);
        },
        initForm: function initForm() {
            pageInfo;
            if (!this.formData) {
                this._formData = this.getParent();
            }
        },
        initPage: function initPage() {
            // 配置分页
            if (this.pageInfo.pageSizes && this.pageInfo.pageSizes.length) {
                this.pageInfo.pageSize = this.pageInfo.pageSizes[0];
            }
            this.pageInfo.currentPage = 1;
        },
        getTableHeight: function getTableHeight() {
            var h = this.$el.parentNode.offsetHeight;
            if (this.autoHeight && h) {
                this.myHeight = h - 80;
            }
        },
        getParent: function getParent() {
            var parent = this.$parent;
            while (!(parent && parent.ruleForm)) {
                parent = parent.$parent;
                if (!parent.$parent) {
                    console.log('无法找到对应ruleForm');
                    return;
                }
            }
            return parent;
        },
        currentChange: function currentChange(event) {
            if (!this.localData) {
                this.pageInfo.currentPage = event;
                this.getData(event);
            }
        },
        sizeChange: function sizeChange(event) {
            if (!this.localData) {
                this.pageInfo.currentPage = 1;
                this.pageInfo.pageSize = event;
                this.getData(event);
            }
        },
        handleAttr: function handleAttr(attr) {
            var _attr = JSON.parse(JSON.stringify(attr));
            if (_attr['is-show-select'] === undefined) {
                _attr['is-show-select'] = true;
            } else if (_attr['is-show-select'] === false) {
                _attr['is-show-select'] = false;
            }
            if (this.sumProperties) {
                _attr['show-summary'] = true;
                _attr['summary-data'] = this.summaryData;
            }
            return _attr;
        },
        handleAttrOriginal: function handleAttrOriginal(attr) {
            var _attr = JSON.parse(JSON.stringify(attr));
            if (this.height) {
                _attr['height'] = this.height;
            }
            return _attr;
        },
        handleListener: function handleListener(listener) {
            return listener;
        },
        getObj: function getObj(ref, fnName) {
            var parent = this.$parent;
            while (!(parent && parent.$refs[ref] && parent.$refs[ref][fnName])) {
                parent = parent.$parent;
                if (!parent.$parent) {
                    console.log('无法找到对应Obj');
                    return;
                }
            }
            return parent;
        },
        getDataPromise: function getDataPromise(nowPage) {
            var that = this;
            that.tableData = [];
            if (!nowPage) {
                that.pageInfo.currentPage = 1;
            }
            that.loading = true;
            var promise = null;
            var req = that.handleReq(that.req);
            if (that.ajaxFn) {
                promise = that.ajaxFn(req);
            } else {
                var type = that.ajaxType.toLowerCase();
                promise = that.$http[type](that.ajaxUrl, type == 'get' ? {
                    params: req
                } : req);
            }
            promise.then(function (res) {
                if (res && res.flag && res.flag.retCode == '0') {
                    if (typeof that.callback === 'function') {
                        that.callback(res);
                    }
                    that.tableData = res.rows;
                    that.pageInfo.pageTotal = res.total;
                } else {
                    if (typeof that.callback === 'function') {
                        that.callback(res);
                    }
                }
                setTimeout(function () {
                    that.loading = false;
                }, 500);
            }).catch(function (error) {
                console.error(error);
            });
            if (that.sumProperties) {
                var _type = that.ajaxType.toLowerCase();
                var _req = {};
                if (that.req) {
                    _req = that.handleReq(JSON.parse(JSON.stringify(that.req)));
                }
                _req['sumProperties'] = that.sumProperties;
                that.$http[_type](that.ajaxUrl, _type == 'get' ? {
                    params: _req
                } : _req).then(function (res) {
                    if (res && res.flag && res.flag.retCode == '0') {
                        that.summaryData = res.footer;
                    }
                    that.summaryData = [{
                        key: 'id',
                        value: 10
                    }, {
                        key: 'name',
                        value: 123
                    }, {
                        key: 'url',
                        value: 444
                    }, {
                        key: 'permissionVal',
                        value: 55
                    }, {
                        key: 'status',
                        value: 12
                    }];
                    console.log(111, that.summaryData);
                }).catch(function (error) {
                    console.error(error);
                });
            }
        },
        handleReq: function handleReq(reqObj) {
            //对查询条件特殊处理
            var obj = {};
            for (var k in reqObj) {
                if (reqObj[k] !== '') {
                    obj[k.replace(/__/g, '.').replace('search_', 'search.')] = reqObj[k];
                }
            }
            return obj;
        },

        // 获取数据
        getData: function getData(nowPage) {
            var that = this;
            if (that.loadFn && typeof that.loadFn === 'function' && !that.loadFn(that.req)) {
                return;
            }
            // 如果有formRef属性，则先验证再查询
            if (that.formRef) {
                var parent = that.getObj(that.formRef, 'validate');
                parent && parent.$refs[that.formRef].validate(function (valid) {
                    if (valid) {
                        that.getDataPromise(nowPage);
                    } else {
                        console.log('error validate!!');
                        return false;
                    }
                });
            } else {
                that.getDataPromise(nowPage);
            }
        }
    }
};

/***/ }),

/***/ 329:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _simpleTable = __webpack_require__(330);

var _simpleTable2 = _interopRequireDefault(_simpleTable);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* istanbul ignore next */
_simpleTable2.default.install = function (Vue) {
  Vue.component(_simpleTable2.default.name, _simpleTable2.default);
};

exports.default = _simpleTable2.default;

/***/ }),

/***/ 330:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_simple_table_vue__ = __webpack_require__(138);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_simple_table_vue___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_simple_table_vue__);
/* harmony namespace reexport (unknown) */ for(var __WEBPACK_IMPORT_KEY__ in __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_simple_table_vue__) if(__WEBPACK_IMPORT_KEY__ !== 'default') (function(key) { __webpack_require__.d(__webpack_exports__, key, function() { return __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_simple_table_vue__[key]; }) }(__WEBPACK_IMPORT_KEY__));
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_3139c03e_hasScoped_false_preserveWhitespace_false_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_simple_table_vue__ = __webpack_require__(333);
function injectStyle (ssrContext) {
  __webpack_require__(331)
}
var normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = null
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_simple_table_vue___default.a,
  __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_3139c03e_hasScoped_false_preserveWhitespace_false_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_simple_table_vue__["a" /* default */],
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)

/* harmony default export */ __webpack_exports__["default"] = (Component.exports);


/***/ }),

/***/ 331:
/***/ (function(module, exports, __webpack_require__) {

// style-loader: Adds some css to the DOM by adding a <style> tag

// load the styles
var content = __webpack_require__(332);
if(typeof content === 'string') content = [[module.i, content, '']];
if(content.locals) module.exports = content.locals;
// add the styles to the DOM
var update = __webpack_require__(9)("04175415", content, true, {});

/***/ }),

/***/ 332:
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(6)(false);
// imports


// module
exports.push([module.i, ".simple-table-loading{height:100%;border:1px solid transparent}.simple-table-loading .el-table .el-table__header thead tr th{color:#262626!important;font-size:12px!important;color:#444;font-weight:100px;padding:3px 0}.simple-table-loading .el-table .el-table__footer{width:100%}.simple-table-loading .el-table .el-table__row td .cell{color:#5b5b5b!important}.simple-table-loading .el-table .el-table__body tbody tr td{padding:2px 0;color:#666;font-size:12px!important}.simple-table-loading .top-count{position:absolute;width:100%;border:1px solid #ebeef5;box-sizing:border-box;height:30px;padding:6px 0 0 16px;margin-top:-30px}.simple-table-loading .top-count .num{margin:0 5px;font-size:13px}.simple-table-loading .top-count .rd{width:15px;height:15px;display:block;float:left;border-radius:50%}.simple-table-loading .top-count .txt,.simple-table-loading .top-count .txt2{margin-left:10px;font-size:14px;display:block;float:left;line-height:18px;font-size:13px}.simple-table-loading .top-count .txt2{margin-left:0}.simple-table-loading .top-count .right{float:right;font-size:14px;margin-right:10px;font-size:13px;margin-top:-4px}.simple-table-loading .top-count .clear{cursor:pointer}.simple-table-loading .top-count .img{width:14px;height:14px;vertical-align:bottom}.simple-table-loading .top-count .el-icon--right{margin-left:0!important;vertical-align:middle}.simple-table-loading .el-dialog__wrapper{position:absolute}.simple-table-loading .composite-table-paging{margin-top:10px;text-align:right}.simple-table-loading .top-header{font-size:13px;margin-left:8px;display:inline-block;vertical-align:top}.simple-table-loading .c{clear:both}", ""]);

// exports


/***/ }),

/***/ 333:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{directives:[{name:"loading",rawName:"v-loading",value:(_vm.loading),expression:"loading"}],staticClass:"simple-table-loading"},[(!_vm.isOriginalTable)?_c('pl-composite-table',_vm._g(_vm._b({ref:"table1",attrs:{"size":_vm.size,"data":_vm.tableData,"border":"","is-show-page":"","is-show-select":_vm.isShowSelect,"page-info":_vm.pageInfo,"height":_vm.myHeight},on:{"page-size-change":_vm.sizeChange,"page-current-change":_vm.currentChange}},'pl-composite-table',_vm.handleAttr(_vm.$attrs),false),_vm.handleListener(_vm.$listeners)),[(_vm.isShowSelect&&!_vm.noSelection)?_c('pl-table-column',{attrs:{"type":"selection","width":_vm.selectionWidth,"align":"center","header-align":"center"}}):_vm._e(),_vm._t("default")],2):_vm._e(),(_vm.isOriginalTable)?_c('pl-table',_vm._g(_vm._b({ref:"table1",staticClass:"composite-table",attrs:{"data":_vm.tableData,"border":""}},'pl-table',_vm.handleAttrOriginal(_vm.$attrs),false),_vm.handleListener(_vm.$listeners)),[_vm._t("default")],2):_vm._e()],1)}
var staticRenderFns = []
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ __webpack_exports__["a"] = (esExports);

/***/ }),

/***/ 6:
/***/ (function(module, exports) {

/*
	MIT License http://www.opensource.org/licenses/mit-license.php
	Author Tobias Koppers @sokra
*/
// css base code, injected by the css-loader
module.exports = function(useSourceMap) {
	var list = [];

	// return the list of modules as css string
	list.toString = function toString() {
		return this.map(function (item) {
			var content = cssWithMappingToString(item, useSourceMap);
			if(item[2]) {
				return "@media " + item[2] + "{" + content + "}";
			} else {
				return content;
			}
		}).join("");
	};

	// import a list of modules into the list
	list.i = function(modules, mediaQuery) {
		if(typeof modules === "string")
			modules = [[null, modules, ""]];
		var alreadyImportedModules = {};
		for(var i = 0; i < this.length; i++) {
			var id = this[i][0];
			if(typeof id === "number")
				alreadyImportedModules[id] = true;
		}
		for(i = 0; i < modules.length; i++) {
			var item = modules[i];
			// skip already imported module
			// this implementation is not 100% perfect for weird media query combinations
			//  when a module is imported multiple times with different media queries.
			//  I hope this will never occur (Hey this way we have smaller bundles)
			if(typeof item[0] !== "number" || !alreadyImportedModules[item[0]]) {
				if(mediaQuery && !item[2]) {
					item[2] = mediaQuery;
				} else if(mediaQuery) {
					item[2] = "(" + item[2] + ") and (" + mediaQuery + ")";
				}
				list.push(item);
			}
		}
	};
	return list;
};

function cssWithMappingToString(item, useSourceMap) {
	var content = item[1] || '';
	var cssMapping = item[3];
	if (!cssMapping) {
		return content;
	}

	if (useSourceMap && typeof btoa === 'function') {
		var sourceMapping = toComment(cssMapping);
		var sourceURLs = cssMapping.sources.map(function (source) {
			return '/*# sourceURL=' + cssMapping.sourceRoot + source + ' */'
		});

		return [content].concat(sourceURLs).concat([sourceMapping]).join('\n');
	}

	return [content].join('\n');
}

// Adapted from convert-source-map (MIT)
function toComment(sourceMap) {
	// eslint-disable-next-line no-undef
	var base64 = btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap))));
	var data = 'sourceMappingURL=data:application/json;charset=utf-8;base64,' + base64;

	return '/*# ' + data + ' */';
}


/***/ }),

/***/ 9:
/***/ (function(module, exports, __webpack_require__) {

/*
  MIT License http://www.opensource.org/licenses/mit-license.php
  Author Tobias Koppers @sokra
  Modified by Evan You @yyx990803
*/

var hasDocument = typeof document !== 'undefined'

if (typeof DEBUG !== 'undefined' && DEBUG) {
  if (!hasDocument) {
    throw new Error(
    'vue-style-loader cannot be used in a non-browser environment. ' +
    "Use { target: 'node' } in your Webpack config to indicate a server-rendering environment."
  ) }
}

var listToStyles = __webpack_require__(12)

/*
type StyleObject = {
  id: number;
  parts: Array<StyleObjectPart>
}

type StyleObjectPart = {
  css: string;
  media: string;
  sourceMap: ?string
}
*/

var stylesInDom = {/*
  [id: number]: {
    id: number,
    refs: number,
    parts: Array<(obj?: StyleObjectPart) => void>
  }
*/}

var head = hasDocument && (document.head || document.getElementsByTagName('head')[0])
var singletonElement = null
var singletonCounter = 0
var isProduction = false
var noop = function () {}
var options = null
var ssrIdKey = 'data-vue-ssr-id'

// Force single-tag solution on IE6-9, which has a hard limit on the # of <style>
// tags it will allow on a page
var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\b/.test(navigator.userAgent.toLowerCase())

module.exports = function (parentId, list, _isProduction, _options) {
  isProduction = _isProduction

  options = _options || {}

  var styles = listToStyles(parentId, list)
  addStylesToDom(styles)

  return function update (newList) {
    var mayRemove = []
    for (var i = 0; i < styles.length; i++) {
      var item = styles[i]
      var domStyle = stylesInDom[item.id]
      domStyle.refs--
      mayRemove.push(domStyle)
    }
    if (newList) {
      styles = listToStyles(parentId, newList)
      addStylesToDom(styles)
    } else {
      styles = []
    }
    for (var i = 0; i < mayRemove.length; i++) {
      var domStyle = mayRemove[i]
      if (domStyle.refs === 0) {
        for (var j = 0; j < domStyle.parts.length; j++) {
          domStyle.parts[j]()
        }
        delete stylesInDom[domStyle.id]
      }
    }
  }
}

function addStylesToDom (styles /* Array<StyleObject> */) {
  for (var i = 0; i < styles.length; i++) {
    var item = styles[i]
    var domStyle = stylesInDom[item.id]
    if (domStyle) {
      domStyle.refs++
      for (var j = 0; j < domStyle.parts.length; j++) {
        domStyle.parts[j](item.parts[j])
      }
      for (; j < item.parts.length; j++) {
        domStyle.parts.push(addStyle(item.parts[j]))
      }
      if (domStyle.parts.length > item.parts.length) {
        domStyle.parts.length = item.parts.length
      }
    } else {
      var parts = []
      for (var j = 0; j < item.parts.length; j++) {
        parts.push(addStyle(item.parts[j]))
      }
      stylesInDom[item.id] = { id: item.id, refs: 1, parts: parts }
    }
  }
}

function createStyleElement () {
  var styleElement = document.createElement('style')
  styleElement.type = 'text/css'
  head.appendChild(styleElement)
  return styleElement
}

function addStyle (obj /* StyleObjectPart */) {
  var update, remove
  var styleElement = document.querySelector('style[' + ssrIdKey + '~="' + obj.id + '"]')

  if (styleElement) {
    if (isProduction) {
      // has SSR styles and in production mode.
      // simply do nothing.
      return noop
    } else {
      // has SSR styles but in dev mode.
      // for some reason Chrome can't handle source map in server-rendered
      // style tags - source maps in <style> only works if the style tag is
      // created and inserted dynamically. So we remove the server rendered
      // styles and inject new ones.
      styleElement.parentNode.removeChild(styleElement)
    }
  }

  if (isOldIE) {
    // use singleton mode for IE9.
    var styleIndex = singletonCounter++
    styleElement = singletonElement || (singletonElement = createStyleElement())
    update = applyToSingletonTag.bind(null, styleElement, styleIndex, false)
    remove = applyToSingletonTag.bind(null, styleElement, styleIndex, true)
  } else {
    // use multi-style-tag mode in all other cases
    styleElement = createStyleElement()
    update = applyToTag.bind(null, styleElement)
    remove = function () {
      styleElement.parentNode.removeChild(styleElement)
    }
  }

  update(obj)

  return function updateStyle (newObj /* StyleObjectPart */) {
    if (newObj) {
      if (newObj.css === obj.css &&
          newObj.media === obj.media &&
          newObj.sourceMap === obj.sourceMap) {
        return
      }
      update(obj = newObj)
    } else {
      remove()
    }
  }
}

var replaceText = (function () {
  var textStore = []

  return function (index, replacement) {
    textStore[index] = replacement
    return textStore.filter(Boolean).join('\n')
  }
})()

function applyToSingletonTag (styleElement, index, remove, obj) {
  var css = remove ? '' : obj.css

  if (styleElement.styleSheet) {
    styleElement.styleSheet.cssText = replaceText(index, css)
  } else {
    var cssNode = document.createTextNode(css)
    var childNodes = styleElement.childNodes
    if (childNodes[index]) styleElement.removeChild(childNodes[index])
    if (childNodes.length) {
      styleElement.insertBefore(cssNode, childNodes[index])
    } else {
      styleElement.appendChild(cssNode)
    }
  }
}

function applyToTag (styleElement, obj) {
  var css = obj.css
  var media = obj.media
  var sourceMap = obj.sourceMap

  if (media) {
    styleElement.setAttribute('media', media)
  }
  if (options.ssrId) {
    styleElement.setAttribute(ssrIdKey, obj.id)
  }

  if (sourceMap) {
    // https://developer.chrome.com/devtools/docs/javascript-debugging
    // this makes source maps inside style tags work properly in Chrome
    css += '\n/*# sourceURL=' + sourceMap.sources[0] + ' */'
    // http://stackoverflow.com/a/26603875
    css += '\n/*# sourceMappingURL=data:application/json;base64,' + btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap)))) + ' */'
  }

  if (styleElement.styleSheet) {
    styleElement.styleSheet.cssText = css
  } else {
    while (styleElement.firstChild) {
      styleElement.removeChild(styleElement.firstChild)
    }
    styleElement.appendChild(document.createTextNode(css))
  }
}


/***/ })

/******/ });