module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "/dist/";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 567);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports) {

/* globals __VUE_SSR_CONTEXT__ */

// IMPORTANT: Do NOT use ES2015 features in this file.
// This module is a runtime utility for cleaner component module output and will
// be included in the final webpack user bundle.

module.exports = function normalizeComponent (
  rawScriptExports,
  compiledTemplate,
  functionalTemplate,
  injectStyles,
  scopeId,
  moduleIdentifier /* server only */
) {
  var esModule
  var scriptExports = rawScriptExports = rawScriptExports || {}

  // ES6 modules interop
  var type = typeof rawScriptExports.default
  if (type === 'object' || type === 'function') {
    esModule = rawScriptExports
    scriptExports = rawScriptExports.default
  }

  // Vue.extend constructor export interop
  var options = typeof scriptExports === 'function'
    ? scriptExports.options
    : scriptExports

  // render functions
  if (compiledTemplate) {
    options.render = compiledTemplate.render
    options.staticRenderFns = compiledTemplate.staticRenderFns
    options._compiled = true
  }

  // functional template
  if (functionalTemplate) {
    options.functional = true
  }

  // scopedId
  if (scopeId) {
    options._scopeId = scopeId
  }

  var hook
  if (moduleIdentifier) { // server build
    hook = function (context) {
      // 2.3 injection
      context =
        context || // cached call
        (this.$vnode && this.$vnode.ssrContext) || // stateful
        (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext) // functional
      // 2.2 with runInNewContext: true
      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__
      }
      // inject component styles
      if (injectStyles) {
        injectStyles.call(this, context)
      }
      // register component module identifier for async chunk inferrence
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier)
      }
    }
    // used by ssr in case component is cached and beforeCreate
    // never gets called
    options._ssrRegister = hook
  } else if (injectStyles) {
    hook = injectStyles
  }

  if (hook) {
    var functional = options.functional
    var existing = functional
      ? options.render
      : options.beforeCreate

    if (!functional) {
      // inject component registration as beforeCreate hook
      options.beforeCreate = existing
        ? [].concat(existing, hook)
        : [hook]
    } else {
      // for template-only hot-reload because in that case the render fn doesn't
      // go through the normalizer
      options._injectStyles = hook
      // register for functioal component in vue file
      options.render = function renderWithStyleInjection (h, context) {
        hook.call(context)
        return existing(h, context)
      }
    }
  }

  return {
    esModule: esModule,
    exports: scriptExports,
    options: options
  }
}


/***/ }),

/***/ 12:
/***/ (function(module, exports) {

/**
 * Translates the list format produced by css-loader into something
 * easier to manipulate.
 */
module.exports = function listToStyles (parentId, list) {
  var styles = []
  var newStyles = {}
  for (var i = 0; i < list.length; i++) {
    var item = list[i]
    var id = item[0]
    var css = item[1]
    var media = item[2]
    var sourceMap = item[3]
    var part = {
      id: parentId + ':' + i,
      css: css,
      media: media,
      sourceMap: sourceMap
    }
    if (!newStyles[id]) {
      styles.push(newStyles[id] = { id: id, parts: [part] })
    } else {
      newStyles[id].parts.push(part)
    }
  }
  return styles
}


/***/ }),

/***/ 201:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _lang = __webpack_require__(571);

var _lang2 = _interopRequireDefault(_lang);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getQueryString(name) {
    var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
    var r = window.location.search.substr(1).match(reg);
    if (r != null) return unescape(r[2]);
    return null;
} //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    name: "PlUploadFile",
    props: {
        tmplateFileUrl: {
            type: String,
            required: true,
            default: "/static/import-template/数据权限基础业务数据.xlsx"
        },
        tmplateFileName: {
            type: String,
            required: true,
            default: "数据权限基础业务数据.xlsx"
        },
        colNames: {
            type: String,
            default: ""
        },
        mustArray: {
            type: String,
            default: ""
        },
        unionKey: {
            type: String,
            default: ""
        },
        unionKeyName: {
            type: String,
            default: ""
        },
        validateAll: {
            type: Boolean,
            default: false
        },
        masterFields: {
            type: Object,
            default: function _default() {
                return {};
            },
            validator: function validator(obj) {
                // 这个值必须匹配下列字符串中的一个
                if (Object.keys(obj).length == 0) {
                    return true;
                } else if (Object.keys(obj).length == 2) {
                    var keyStr = ['field', 'value'].sort().join(',');
                    var tempKeyStr = Object.keys(obj).sort().join(',');
                    if (keyStr == tempKeyStr) {
                        return true;
                    } else {
                        console.error('参数masterFields对象只包含 field,value两个属性');
                        return false;
                    }
                } else {
                    console.error('参数masterFields对象只包含 field,value两个属性');
                    return false;
                }
            }
        },
        async: {
            type: Boolean,
            default: true
        },
        frontImport: {
            type: Boolean,
            default: false
        },
        maxSize: {
            default: 5, //默认5M
            type: Number
        },
        failedInfo: {
            default: '', //不传值时 取后台返回的提示信息
            type: String
        },
        successInfo: {
            default: '', //不传值时 取后台返回的提示信息
            type: String
        },
        privApi: {
            default: 'priv/api/sysDataPrivilegeDtl',
            type: String,
            required: true
        },
        actionUrl: {
            default: getQueryString('gateway') + localStorage.getItem('poi-center-api') + 'importCenter/import',
            // default:'http://10.0.43.13:10007/vcat/zuul/vcat-poi-center-api/importCenter/import',
            type: String
        },
        params: {
            default: ''
        }
    },
    data: function data() {
        return {
            errToExcel: true,
            lang: this.getLangSet(),
            showImport: false,
            actionData: {}
        };
    },
    mounted: function mounted() {
        this.setParams();
    },

    methods: {
        getLangSet: function getLangSet() {
            var arr,
                reg = new RegExp("(^| )" + 'lan' + "=([^;]*)(;|$)");
            if (arr = document.cookie.match(reg)) {
                var str = arr[2];
                if (str === 'zh-CN') {
                    return _lang2.default.cn;
                } else if (str === 'en-US') {
                    return _lang2.default.en;
                } else if (str === 'zh-TW') {
                    return _lang2.default.zh;
                } else {
                    return _lang2.default.cn;
                }
            } else {
                return _lang2.default.cn;
            }
        },
        handleAvatarSuccess: function handleAvatarSuccess(res) {
            this.$message.success(this.lang.successInfo);
            if (this.async === false) {
                this.$emit('emit-upload-data', res);
            }
        },
        handleAvatarError: function handleAvatarError() {
            this.$message.error('请求失败');
        },
        beforeAvatarUpload: function beforeAvatarUpload(file) {
            //针对xls,xls的格式
            if (file.name.indexOf('.xlsx') === -1 && file.name.indexOf('.xls') === -1) {
                this.$message.error(this.lang.formatTypeError);
                return false;
            }
            var isLimitSize = file.size / 1024 / 1024 < this.maxSize;
            if (!isLimitSize) {
                this.$message.error(this.lang.sizeError);
                return false;
            }
        },
        setParams: function setParams() {
            var masterFields = Object.keys(this.masterFields).length === 2 ? JSON.stringify(this.masterFields) : '';
            var actionDataURL = '';
            if (false) {
                actionDataURL = this.privApi + "/importData";
            } else {
                actionDataURL = localStorage.gateway + "/" + this.privApi + "/importData";
            }
            var obj = {
                "colNames": this.colNames,
                "mustArray": this.mustArray,
                "unionKey": this.unionKey,
                "unionKeyName": this.unionKeyName,
                "validateAll": this.validateAll,
                "masterFields": masterFields,
                "async": this.async,
                "frontImport": this.frontImport,
                "errToExcel": this.errToExcel,
                "url": actionDataURL,
                "params": this.params
            };
            var keys = Object.keys(obj);
            var _iteratorNormalCompletion = true;
            var _didIteratorError = false;
            var _iteratorError = undefined;

            try {
                for (var _iterator = keys[Symbol.iterator](), _step; !(_iteratorNormalCompletion = (_step = _iterator.next()).done); _iteratorNormalCompletion = true) {
                    var key = _step.value;

                    if (obj[key] === '') {
                        delete obj[key];
                    }
                }
            } catch (err) {
                _didIteratorError = true;
                _iteratorError = err;
            } finally {
                try {
                    if (!_iteratorNormalCompletion && _iterator.return) {
                        _iterator.return();
                    }
                } finally {
                    if (_didIteratorError) {
                        throw _iteratorError;
                    }
                }
            }

            this.actionData = obj;
        }
    }
};

/***/ }),

/***/ 567:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _uploadFile = __webpack_require__(568);

var _uploadFile2 = _interopRequireDefault(_uploadFile);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* istanbul ignore next */
_uploadFile2.default.install = function (Vue) {
  Vue.component(_uploadFile2.default.name, _uploadFile2.default);
};

exports.default = _uploadFile2.default;

/***/ }),

/***/ 568:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_upload_file_vue__ = __webpack_require__(201);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_upload_file_vue___default = __webpack_require__.n(__WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_upload_file_vue__);
/* harmony namespace reexport (unknown) */ for(var __WEBPACK_IMPORT_KEY__ in __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_upload_file_vue__) if(__WEBPACK_IMPORT_KEY__ !== 'default') (function(key) { __webpack_require__.d(__webpack_exports__, key, function() { return __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_upload_file_vue__[key]; }) }(__WEBPACK_IMPORT_KEY__));
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_d76e31d4_hasScoped_true_preserveWhitespace_false_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_upload_file_vue__ = __webpack_require__(572);
function injectStyle (ssrContext) {
  __webpack_require__(569)
}
var normalizeComponent = __webpack_require__(0)
/* script */


/* template */

/* template functional */
var __vue_template_functional__ = false
/* styles */
var __vue_styles__ = injectStyle
/* scopeId */
var __vue_scopeId__ = "data-v-d76e31d4"
/* moduleIdentifier (server only) */
var __vue_module_identifier__ = null
var Component = normalizeComponent(
  __WEBPACK_IMPORTED_MODULE_0__babel_loader_node_modules_vue_loader_lib_selector_type_script_index_0_upload_file_vue___default.a,
  __WEBPACK_IMPORTED_MODULE_1__node_modules_vue_loader_lib_template_compiler_index_id_data_v_d76e31d4_hasScoped_true_preserveWhitespace_false_buble_transforms_node_modules_vue_loader_lib_selector_type_template_index_0_upload_file_vue__["a" /* default */],
  __vue_template_functional__,
  __vue_styles__,
  __vue_scopeId__,
  __vue_module_identifier__
)

/* harmony default export */ __webpack_exports__["default"] = (Component.exports);


/***/ }),

/***/ 569:
/***/ (function(module, exports, __webpack_require__) {

// style-loader: Adds some css to the DOM by adding a <style> tag

// load the styles
var content = __webpack_require__(570);
if(typeof content === 'string') content = [[module.i, content, '']];
if(content.locals) module.exports = content.locals;
// add the styles to the DOM
var update = __webpack_require__(9)("2f260ed6", content, true, {});

/***/ }),

/***/ 570:
/***/ (function(module, exports, __webpack_require__) {

exports = module.exports = __webpack_require__(6)(false);
// imports


// module
exports.push([module.i, ".up-load-container[data-v-d76e31d4]{display:inline-block}.up-load-ls .mt20[data-v-d76e31d4]{margin-bottom:20px}.up-load-ls .import-body[data-v-d76e31d4]{margin-left:20px}.up-load-ls .import-body .step[data-v-d76e31d4]{border:1px solid #2697ff;border-radius:50%;width:20px;height:20px;text-align:center;line-height:18px;display:inline-block;font-weight:700;color:#2697ff}.up-load-ls .import-body .step-title[data-v-d76e31d4]{display:inline-block;font-weight:700}.up-load-ls .import-body .file-list[data-v-d76e31d4]{border:1px #ddd;border-style:dashed;margin:20px;padding:5px 10px}.up-load-ls .import-body .file-icon[data-v-d76e31d4]{display:inline-block;font-size:22px}.up-load-ls .import-body .file-name[data-v-d76e31d4]{display:inline-block;margin-left:10px}.up-load-ls .import-body .file-down[data-v-d76e31d4]{display:inline-block;float:right;margin-top:6px}.up-load-ls .import-body .tip-title[data-v-d76e31d4]{margin-left:20px;font-weight:700}.up-load-ls .import-body .attention>li[data-v-d76e31d4]{margin-bottom:5px}.up-load-ls .upload-btn[data-v-d76e31d4]{margin:20px 50px!important}", ""]);

// exports


/***/ }),

/***/ 571:
/***/ (function(module, exports) {

module.exports = {"zh":{"title":"導入數據","stepTile1":"下載並填寫模板","stepTile2":"異常信息是否寫入到Excel中：","stepTile3":"上傳編輯好的Excel文件","noticeTitle":"注意事項","notice1":"模板的標頭名稱不能修改，標頭行不能刪除","notice2":"模板標題藍色字體的列為必填項","notice3":"一次只支持導入一個文件","notice4":"文件大小不能超過5M","downloadBut":"下載","uploadBut":"選擇並上傳文件","uploadFile":"導入","formatTypeError":"文件格式不正確","sizeError":"文件過大","failedInfo":"導入失敗","successInfo":"請您注意稍後查看右上角通知消息,在那您可查詢導入結果"},"cn":{"title":"导入数据","stepTile1":"下载并填写模板","stepTile2":"异常信息是否写入到Excel中：","stepTile3":"上传编辑好的Excel文件","noticeTitle":"注意事项","notice1":"模板的标头名称不能修改，标头行不能删除","notice2":"模板标题蓝色字体的列为必填项","notice3":"一次只支持导入一个文件","notice4":"文件大小不能超过5M","downloadBut":"下载","uploadBut":"选择并上传文件","uploadFile":"导入","formatTypeError":"文件格式不正确","sizeError":"文件过大","failedInfo":"导入失败","successInfo":"请您注意稍后查看右上角通知消息,在那您可查询导入结果"},"en":{"title":"Import data","stepTile1":"Download and fill in the template","stepTile2":"Whether exception information is written to Excel","stepTile3":"Upload the edited Excel file","noticeTitle":"Matters needing attention","notice1":"The header name of the template cannot be modified and the header line cannot be deleted","notice2":"The blue font of the template title is listed as a required entry","notice3":"Importing only one file at a time is supported","notice4":"File size should not exceed 5M","downloadBut":"Download","uploadBut":"Select and upload files","uploadFile":"Submit","formatTypeError":"Incorrect file format","sizeError":"The document is too large","failedInfo":"Import failed","successInfo":"Please note that you can check the notification message in the upper right corner later, where you can query the import results"}}

/***/ }),

/***/ 572:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
var render = function () {var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;return _c('div',{staticClass:"up-load-container"},[_c('pl-button',{attrs:{"size":"mini","icon":"el-icon-upload2"},on:{"click":function($event){_vm.showImport = true}}},[_vm._v(_vm._s(_vm.lang.uploadFile))]),(_vm.showImport)?_c('pl-dialog',{staticClass:"up-load-ls",attrs:{"title":_vm.lang.title,"width":"600px","append-to-body":"","visible":_vm.showImport,"close-on-press-escape":true},on:{"update:visible":function($event){_vm.showImport=$event}}},[_c('div',{staticClass:"import-body"},[_c('div',{staticClass:"import-step-title"},[_c('div',{staticClass:"step"},[_vm._v("1")]),_c('div',{staticClass:"step-title"},[_vm._v(_vm._s(_vm.lang.stepTile1))])]),_c('div',{staticClass:"file-list"},[_c('a',{attrs:{"href":_vm.tmplateFileUrl}},[_c('div',{staticClass:"file-icon"},[_c('i',{staticClass:"file-icon el-icon-document"})]),_c('div',{staticClass:"file-name"},[_vm._v(_vm._s(_vm.tmplateFileName))]),_c('div',{staticClass:"file-down"},[_c('i',{staticClass:"file-icon el-icon-download"}),_c('span',[_vm._v(_vm._s(_vm.lang.downloadBut))])])])]),_c('div',{staticClass:"tip-title"},[_vm._v(_vm._s(_vm.lang.noticeTitle))]),_c('ul',{staticClass:"attention"},[_c('li',[_vm._v(_vm._s(_vm.lang.notice1))]),_c('li',[_vm._v(_vm._s(_vm.lang.notice2))]),_c('li',[_vm._v(_vm._s(_vm.lang.notice3))]),_c('li',[_vm._v(_vm._s(_vm.lang.notice4))])])]),_c('div',{staticClass:"import-body mt20"},[_c('div',{staticClass:"import-step-title"},[_c('div',{staticClass:"step"},[_vm._v("2")]),_c('div',{staticClass:"step-title"},[_vm._v(_vm._s(_vm.lang.stepTile2))]),_c('pl-checkbox',{model:{value:(_vm.errToExcel),callback:function ($$v) {_vm.errToExcel=$$v},expression:"errToExcel"}})],1)]),_c('div',{staticClass:"import-body"},[_c('div',{staticClass:"import-step-title"},[_c('div',{staticClass:"step"},[_vm._v("3")]),_c('div',{staticClass:"step-title"},[_vm._v(_vm._s(_vm.lang.stepTile3))])])]),_c('pl-upload',{ref:"uploadfile",attrs:{"auto-upload":true,"action":_vm.actionUrl,"multiple":false,"limit":1,"before-upload":_vm.beforeAvatarUpload,"on-success":_vm.handleAvatarSuccess,"on-error":_vm.handleAvatarError,"data":_vm.actionData}},[_c('pl-button',{staticClass:"upload-btn",attrs:{"size":"mini","type":"primary"}},[_vm._v(_vm._s(_vm.lang.uploadBut))])],1)],1):_vm._e()],1)}
var staticRenderFns = []
var esExports = { render: render, staticRenderFns: staticRenderFns }
/* harmony default export */ __webpack_exports__["a"] = (esExports);

/***/ }),

/***/ 6:
/***/ (function(module, exports) {

/*
	MIT License http://www.opensource.org/licenses/mit-license.php
	Author Tobias Koppers @sokra
*/
// css base code, injected by the css-loader
module.exports = function(useSourceMap) {
	var list = [];

	// return the list of modules as css string
	list.toString = function toString() {
		return this.map(function (item) {
			var content = cssWithMappingToString(item, useSourceMap);
			if(item[2]) {
				return "@media " + item[2] + "{" + content + "}";
			} else {
				return content;
			}
		}).join("");
	};

	// import a list of modules into the list
	list.i = function(modules, mediaQuery) {
		if(typeof modules === "string")
			modules = [[null, modules, ""]];
		var alreadyImportedModules = {};
		for(var i = 0; i < this.length; i++) {
			var id = this[i][0];
			if(typeof id === "number")
				alreadyImportedModules[id] = true;
		}
		for(i = 0; i < modules.length; i++) {
			var item = modules[i];
			// skip already imported module
			// this implementation is not 100% perfect for weird media query combinations
			//  when a module is imported multiple times with different media queries.
			//  I hope this will never occur (Hey this way we have smaller bundles)
			if(typeof item[0] !== "number" || !alreadyImportedModules[item[0]]) {
				if(mediaQuery && !item[2]) {
					item[2] = mediaQuery;
				} else if(mediaQuery) {
					item[2] = "(" + item[2] + ") and (" + mediaQuery + ")";
				}
				list.push(item);
			}
		}
	};
	return list;
};

function cssWithMappingToString(item, useSourceMap) {
	var content = item[1] || '';
	var cssMapping = item[3];
	if (!cssMapping) {
		return content;
	}

	if (useSourceMap && typeof btoa === 'function') {
		var sourceMapping = toComment(cssMapping);
		var sourceURLs = cssMapping.sources.map(function (source) {
			return '/*# sourceURL=' + cssMapping.sourceRoot + source + ' */'
		});

		return [content].concat(sourceURLs).concat([sourceMapping]).join('\n');
	}

	return [content].join('\n');
}

// Adapted from convert-source-map (MIT)
function toComment(sourceMap) {
	// eslint-disable-next-line no-undef
	var base64 = btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap))));
	var data = 'sourceMappingURL=data:application/json;charset=utf-8;base64,' + base64;

	return '/*# ' + data + ' */';
}


/***/ }),

/***/ 9:
/***/ (function(module, exports, __webpack_require__) {

/*
  MIT License http://www.opensource.org/licenses/mit-license.php
  Author Tobias Koppers @sokra
  Modified by Evan You @yyx990803
*/

var hasDocument = typeof document !== 'undefined'

if (typeof DEBUG !== 'undefined' && DEBUG) {
  if (!hasDocument) {
    throw new Error(
    'vue-style-loader cannot be used in a non-browser environment. ' +
    "Use { target: 'node' } in your Webpack config to indicate a server-rendering environment."
  ) }
}

var listToStyles = __webpack_require__(12)

/*
type StyleObject = {
  id: number;
  parts: Array<StyleObjectPart>
}

type StyleObjectPart = {
  css: string;
  media: string;
  sourceMap: ?string
}
*/

var stylesInDom = {/*
  [id: number]: {
    id: number,
    refs: number,
    parts: Array<(obj?: StyleObjectPart) => void>
  }
*/}

var head = hasDocument && (document.head || document.getElementsByTagName('head')[0])
var singletonElement = null
var singletonCounter = 0
var isProduction = false
var noop = function () {}
var options = null
var ssrIdKey = 'data-vue-ssr-id'

// Force single-tag solution on IE6-9, which has a hard limit on the # of <style>
// tags it will allow on a page
var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\b/.test(navigator.userAgent.toLowerCase())

module.exports = function (parentId, list, _isProduction, _options) {
  isProduction = _isProduction

  options = _options || {}

  var styles = listToStyles(parentId, list)
  addStylesToDom(styles)

  return function update (newList) {
    var mayRemove = []
    for (var i = 0; i < styles.length; i++) {
      var item = styles[i]
      var domStyle = stylesInDom[item.id]
      domStyle.refs--
      mayRemove.push(domStyle)
    }
    if (newList) {
      styles = listToStyles(parentId, newList)
      addStylesToDom(styles)
    } else {
      styles = []
    }
    for (var i = 0; i < mayRemove.length; i++) {
      var domStyle = mayRemove[i]
      if (domStyle.refs === 0) {
        for (var j = 0; j < domStyle.parts.length; j++) {
          domStyle.parts[j]()
        }
        delete stylesInDom[domStyle.id]
      }
    }
  }
}

function addStylesToDom (styles /* Array<StyleObject> */) {
  for (var i = 0; i < styles.length; i++) {
    var item = styles[i]
    var domStyle = stylesInDom[item.id]
    if (domStyle) {
      domStyle.refs++
      for (var j = 0; j < domStyle.parts.length; j++) {
        domStyle.parts[j](item.parts[j])
      }
      for (; j < item.parts.length; j++) {
        domStyle.parts.push(addStyle(item.parts[j]))
      }
      if (domStyle.parts.length > item.parts.length) {
        domStyle.parts.length = item.parts.length
      }
    } else {
      var parts = []
      for (var j = 0; j < item.parts.length; j++) {
        parts.push(addStyle(item.parts[j]))
      }
      stylesInDom[item.id] = { id: item.id, refs: 1, parts: parts }
    }
  }
}

function createStyleElement () {
  var styleElement = document.createElement('style')
  styleElement.type = 'text/css'
  head.appendChild(styleElement)
  return styleElement
}

function addStyle (obj /* StyleObjectPart */) {
  var update, remove
  var styleElement = document.querySelector('style[' + ssrIdKey + '~="' + obj.id + '"]')

  if (styleElement) {
    if (isProduction) {
      // has SSR styles and in production mode.
      // simply do nothing.
      return noop
    } else {
      // has SSR styles but in dev mode.
      // for some reason Chrome can't handle source map in server-rendered
      // style tags - source maps in <style> only works if the style tag is
      // created and inserted dynamically. So we remove the server rendered
      // styles and inject new ones.
      styleElement.parentNode.removeChild(styleElement)
    }
  }

  if (isOldIE) {
    // use singleton mode for IE9.
    var styleIndex = singletonCounter++
    styleElement = singletonElement || (singletonElement = createStyleElement())
    update = applyToSingletonTag.bind(null, styleElement, styleIndex, false)
    remove = applyToSingletonTag.bind(null, styleElement, styleIndex, true)
  } else {
    // use multi-style-tag mode in all other cases
    styleElement = createStyleElement()
    update = applyToTag.bind(null, styleElement)
    remove = function () {
      styleElement.parentNode.removeChild(styleElement)
    }
  }

  update(obj)

  return function updateStyle (newObj /* StyleObjectPart */) {
    if (newObj) {
      if (newObj.css === obj.css &&
          newObj.media === obj.media &&
          newObj.sourceMap === obj.sourceMap) {
        return
      }
      update(obj = newObj)
    } else {
      remove()
    }
  }
}

var replaceText = (function () {
  var textStore = []

  return function (index, replacement) {
    textStore[index] = replacement
    return textStore.filter(Boolean).join('\n')
  }
})()

function applyToSingletonTag (styleElement, index, remove, obj) {
  var css = remove ? '' : obj.css

  if (styleElement.styleSheet) {
    styleElement.styleSheet.cssText = replaceText(index, css)
  } else {
    var cssNode = document.createTextNode(css)
    var childNodes = styleElement.childNodes
    if (childNodes[index]) styleElement.removeChild(childNodes[index])
    if (childNodes.length) {
      styleElement.insertBefore(cssNode, childNodes[index])
    } else {
      styleElement.appendChild(cssNode)
    }
  }
}

function applyToTag (styleElement, obj) {
  var css = obj.css
  var media = obj.media
  var sourceMap = obj.sourceMap

  if (media) {
    styleElement.setAttribute('media', media)
  }
  if (options.ssrId) {
    styleElement.setAttribute(ssrIdKey, obj.id)
  }

  if (sourceMap) {
    // https://developer.chrome.com/devtools/docs/javascript-debugging
    // this makes source maps inside style tags work properly in Chrome
    css += '\n/*# sourceURL=' + sourceMap.sources[0] + ' */'
    // http://stackoverflow.com/a/26603875
    css += '\n/*# sourceMappingURL=data:application/json;base64,' + btoa(unescape(encodeURIComponent(JSON.stringify(sourceMap)))) + ' */'
  }

  if (styleElement.styleSheet) {
    styleElement.styleSheet.cssText = css
  } else {
    while (styleElement.firstChild) {
      styleElement.removeChild(styleElement.firstChild)
    }
    styleElement.appendChild(document.createTextNode(css))
  }
}


/***/ })

/******/ });