export default {
    methods: {
        // 用于多选
        doSubmit() {
            this.scopeData.data.value = this.selectArr
            this.$parent.$parent.doSelect(this.scopeData.data)
        },
        isArrSelected(val) {
            const that = this
            let key = that.scopeData.data.bindKey
            if (that.selectArr.map(it => it[key]).indexOf(val[key]) > -1) {
                return true
            }
            return false
        },
        getIndexOfArr(val) {
            const that = this
            let key = that.scopeData.data.bindKey
            return that.selectArr.map(it => it[key]).indexOf(val[key])
        },
        // 选项框改变 用于多选
        handleSelectionChange(val) {
            const that = this
            if (val.isChecked) {
                if (!that.isArrSelected(val)) {
                    that.selectArr.push(val)
                }
            } else {
                that.selectArr.splice(that.getIndexOfArr(val), 1)
            }
            this.doSubmit()
        }
    }
}
